﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Default.aspx.cs" Inherits="SilverlightApplication._Default" %>

<%@ Register Assembly="SilverlightMapConnector" Namespace="ThinkGeo.MapSuite.SilverlightEdition"
    TagPrefix="cc1" %>
<%@ Register Src="UC/Footer.ascx" TagName="Footer" TagPrefix="uc1" %>
<%@ Register Src="UC/Header.ascx" TagName="Header" TagPrefix="uc2" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="Theme/css.css" rel="stylesheet" type="text/css" />
    <title>CSharp Silverlight HowDoISamples For Debug</title>
    <style type="text/css">
        html, body, form
        {
            height: 100%;
        }
        body
        {
            margin: 0px;
            overflow: hidden;
        }
    </style>

    <script type="text/javascript">
        var updateSize = function(withTree) {
            var sw = parseInt(document.body.scrollWidth);
            var sh = parseInt(document.body.scrollHeight);

            var sourceDiv = $get('SilverlightMapConnector1');

            if (withTree) {
                sh -= 160;
            }
            if (!IsIE()) {
                sourceDiv.style.width = sw + 'px';
                sourceDiv.style.height = sh + 'px';
            }
        }

        var hide = function() {
            var sourceDiv = $get('sourceDiv');
            sourceDiv.style.display = 'none';
        }

        var show = function(srcUri) {
            var div = $get('sourceDiv');
            var iframe = $get('sourceFrame');
            iframe.src = srcUri;
            div.style.display = 'block';
        }
    </script>

    <script type="text/javascript" src="Silverlight.js"></script>

    <script type="text/javascript">
        function onSilverlightError(sender, args) {
            var appSource = "";
            if (sender != null && sender != 0) {
                appSource = sender.getHost().Source;
            }

            var errorType = args.ErrorType;
            var iErrorCode = args.ErrorCode;

            if (errorType == "ImageError" || errorType == "MediaError") {
                return;
            }

            var errMsg = "Unhandled Error in Silverlight Application " + appSource + "\n";

            errMsg += "Code: " + iErrorCode + "    \n";
            errMsg += "Category: " + errorType + "       \n";
            errMsg += "Message: " + args.ErrorMessage + "     \n";

            if (errorType == "ParserError") {
                errMsg += "File: " + args.xamlFile + "     \n";
                errMsg += "Line: " + args.lineNumber + "     \n";
                errMsg += "Position: " + args.charPosition + "     \n";
            }
            else if (errorType == "RuntimeError") {
                if (args.lineNumber != 0) {
                    errMsg += "Line: " + args.lineNumber + "     \n";
                    errMsg += "Position: " + args.charPosition + "     \n";
                }
                errMsg += "MethodName: " + args.methodName + "     \n";
            }

            throw new Error(errMsg);
        }

        function IsIE() {
            if (window.navigator.userAgent.indexOf("MSIE") >= 1) {
                return true;
            }
            else //Firefox
            {
                if (window.navigator.userAgent.indexOf("Firefox") >= 1) {
                    return false;
                }
            }
        }

        function resize() {
            var control = document.getElementById('SilverlightMapConnector1');
            control.Content.MainPage.UpdateSize();
        }
    </script>

</head>
<body onload="updateSize(true)" onresize="resize()">
    <form id="form1" runat="server" style="height: 100%">
    <table border="0px" width="100%" cellpadding="0px" cellspacing="0px" style="height: 100%;">
        <tr>
            <td style="height: 82px;">
                <uc2:Header ID="Header1" runat="server" />
            </td>
        </tr>
        <tr>
            <td style="height: 100%; border-top: solid 1px #ece9d8;">
                <div id="silverlightControlHost">
                    <asp:ScriptManager ID="ScriptManager1" runat="server">
                    </asp:ScriptManager>
                    <cc1:SilverlightMapConnector ID="SilverlightMapConnector1" runat="server" Windowless="true"
                        Width="100%" Height="100%" Source="~/ClientBin/SilverlightApplication.xap">
                    </cc1:SilverlightMapConnector>
                    <div id="sourceDiv" style="position: absolute; left: 253px; top: 119px; display: none;">
                        <iframe id="sourceFrame" width="100%" height="100%"></iframe>
                    </div>
                </div>
            </td>
        </tr>
        <tr>
            <td style="height: 50px; border-top: outset 0px #666666; background-color: #ece9d8;">
                <asp:Button ID="FleeBooleanStyle1" runat="server" Text="(ToInt32(POP_CNTRY)>5031379)"
                    OnClick="FleeBooleanStyle1_Click" />
                <asp:Button ID="FleeBooleanStyle2" runat="server" Text="(ToInt32(POP_CNTRY)<5031379)"
                    OnClick="FleeBooleanStyle1_Click" />
            </td>
        </tr>
    </table>
    </form>
</body>
</html>
