﻿using System;
using System.IO;
using System.Runtime.Serialization.Json;
using System.Text;

namespace SilverlightApplication {
    internal static class JsonConverter {
        internal static string ConvertObjectToStringUsingWcf(object jsonObject) {
            using (MemoryStream jsonStream = new MemoryStream()) {
                DataContractJsonSerializer jsonSerializer = new DataContractJsonSerializer(jsonObject.GetType());
                jsonSerializer.WriteObject(jsonStream, jsonObject);
                jsonStream.Position = 0;
                using (StreamReader reader = new StreamReader(jsonStream)) {
                    return reader.ReadToEnd();
                }
            }
        }

        internal static object ConvertStringToObjectUsingWcf(string jsonString, Type type) {
            using (MemoryStream ms = new MemoryStream(Encoding.Unicode.GetBytes(jsonString))) {
                DataContractJsonSerializer serializer = new DataContractJsonSerializer(type);
                return serializer.ReadObject(ms);
            }
        }
    }
}
